> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a source reader

> Creates a new source reader for the authenticated company.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /source-readers
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /source-readers:
    post:
      tags:
        - Source Readers
      summary: Create a source reader
      description: Creates a new source reader for the authenticated company.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterSourceReaderCreateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsSourceReader'
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterSourceReaderCreateRequest:
      properties:
        connectorUUID:
          format: uuid
          type: string
        containerName:
          type: string
        dataPlaneName:
          type: string
        database:
          type: string
        isShared:
          type: boolean
        name:
          type: string
        settings:
          $ref: '#/components/schemas/PayloadsSourceReaderSettingsPayload'
        tablesConfig:
          $ref: '#/components/schemas/PayloadsSourceReaderTablesConfig'
      required:
        - connectorUUID
      type: object
    PayloadsSourceReader:
      properties:
        apiBaseURL:
          type: string
        companyUUID:
          format: uuid
          type: string
        connectorUUID:
          format: uuid
          type: string
        containerName:
          type: string
        createdAt:
          format: date-time
          type: string
        dataPlaneName:
          type: string
        database:
          type: string
        environmentUUID:
          format: uuid
          type: string
        isShared:
          nullable: true
          type: boolean
        isValid:
          type: boolean
        name:
          type: string
        settings:
          $ref: '#/components/schemas/PayloadsSourceReaderSettingsPayload'
        status:
          $ref: '#/components/schemas/EnumsSourceReaderStatus'
        tablesConfig:
          $ref: '#/components/schemas/PayloadsSourceReaderTablesConfig'
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - name
        - companyUUID
        - dataPlaneName
        - environmentUUID
        - connectorUUID
        - status
        - isValid
        - database
        - containerName
        - settings
      type: object
    PayloadsSourceReaderSettingsPayload:
      properties:
        allowMSSQLCaptureInstancesViaReader:
          nullable: true
          type: boolean
        azureBlobStorageConfig:
          $ref: '#/components/schemas/PayloadsAzureBlobStorageConfig'
        backfillBatchSize:
          minimum: 0
          nullable: true
          type: integer
        databasesToSync:
          items:
            type: string
          nullable: true
          type: array
        disableAutoFetchTables:
          nullable: true
          type: boolean
        disableFullDocumentBeforeChange:
          nullable: true
          type: boolean
        disableNoCursorTimeout:
          nullable: true
          type: boolean
        enableClientSideFullDocumentLookup:
          nullable: true
          type: boolean
        enableHeartbeats:
          nullable: true
          type: boolean
        mssqlReplicationMethod:
          nullable: true
          type: string
        oneTopicPerSchema:
          nullable: true
          type: boolean
        publicationAutoCreateMode:
          nullable: true
          type: string
        publicationNameOverride:
          nullable: true
          type: string
        publishViaPartitionRoot:
          nullable: true
          type: boolean
        replicationSlotOverride:
          nullable: true
          type: string
        unifyAcrossDatabases:
          nullable: true
          type: boolean
        unifyAcrossSchemas:
          nullable: true
          type: boolean
        unifyAcrossSchemasRegex:
          nullable: true
          type: string
        useAdvanceOnPrimaryKeepAlive:
          nullable: true
          type: boolean
        useNumericTypesForMoney:
          nullable: true
          type: boolean
      type: object
    PayloadsSourceReaderTablesConfig:
      additionalProperties:
        $ref: '#/components/schemas/PayloadsSourceReaderTable'
      nullable: true
      type: object
    EnumsSourceReaderStatus:
      enum:
        - draft
        - paused
        - running
      type: string
    PayloadsAzureBlobStorageConfig:
      properties:
        accountURL:
          type: string
        containerName:
          type: string
        sasToken:
          type: string
      type: object
    PayloadsSourceReaderTable:
      properties:
        excludeColumns:
          items:
            type: string
          type: array
        includeColumns:
          items:
            type: string
          type: array
        isPartitioned:
          type: boolean
        name:
          type: string
        schema:
          type: string
        unifyAcrossDatabases:
          type: boolean
        unifyAcrossSchemas:
          type: boolean
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````